Supported browsers in dotMailer - Internet Explorer 7 unsupported from Jan 2014

As of 1 January 2014 dotMailer will no longer be supported in Internet Explorer 7 (IE7); this has been a long time coming (too long if you ask some of our front-end developers!), and if you are using an old browser, it may be time to upgrade to the latest version.

dotMailer will, almost certainly, continue to work in IE7 for some time — however our officially not supporting it means that when we release new features, or make a changes to the platform, we will no longer guarantee that it will work in the older browser.

For guaranteed support for all our features, users should upgrade to a more up-to-date version of Internet Explorer. Or, if you prefer, download and install one of our other supported browsers such as Chrome or Firefox.  You can find an up-to-date list of our supported browsers in the dotMailer knowledge base.

Critical contact-facing pages (such as the unsubscribe page) will continue to be supported in IE7.

Read more about retiring support for Internet Explorer 7 on the dotMailer blog
Have more questions? Submit a request

Comments

Powered by Zendesk